# BuildLayout

API Documentation: | `BuildLayout`

Note: This class is incubating and may change in a future version of Gradle.

Provides access to important locations for a Gradle build.

An instance of this type can be injected into a settings plugin by annotating a public constructor or method with `javax.inject.Inject`. It is also available via `Settings.getLayout()`.

Note: This interface is not intended for implementation by build script or plugin authors.

### Properties

Property | Description
`rootDirectory` | Incubating The root directory of the build.
`settingsDirectory` | Incubating The settings directory.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `Directory` `rootDirectory` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The root directory of the build.

The root directory is the project directory of the root project.

#### `Directory` `settingsDirectory` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The settings directory.

The settings directory is the directory containing the settings file.